diff tests/test-oldcgi @ 2536:8106e477f584

Fix new tests to be better. In particular, fix webraw test to specify a date on commit to be less brittle, and fix test-oldcgi to test fetching a subdirectory of a webdir instance.
author Eric Hopper <hopper@omnifarious.org>
date Fri, 30 Jun 2006 08:45:52 -0700
parents 589474a1dc36
children 800a582e2405
line wrap: on
line diff
--- a/tests/test-oldcgi
+++ b/tests/test-oldcgi
@@ -93,5 +93,11 @@ declare -x SERVER_SIGNATURE="<address>Ap
 declare -x SERVER_SOFTWARE="Apache/2.0.53 (Fedora)"
 ./hgweb.cgi >page1 2>&1 ; echo $?
 ./hgwebdir.cgi >page2 2>&1 ; echo $?
-fgrep -i error page1 page2 && exit 1
+PATH_INFO="/test/"
+PATH_TRANSLATED="/var/something/test.cgi"
+REQUEST_URI="/test/test/"
+SCRIPT_URI="http://hg.omnifarious.org/test/test/"
+SCRIPT_URL="/test/test/"
+./hgwebdir.cgi >page3 2>&1 ; echo $?
+fgrep -i error page1 page2 page3 && exit 1
 exit 0